cancel
Showing results for 
Search instead for 
Did you mean: 

Drivers & Software

naeturvindur
Journeyman III

Can't install drivers for Ubuntu 22.04.03

I'm struggling to install drivers for a fresh install of Ubuntu 22.04.3.  I keep getting this error:

The following packages have unmet dependencies:
xserver-xorg-amdgpu-video-amdgpu : Depends: xorg-video-abi-24 but it is not installable
E: Unable to correct problems, you have held broken packages.

I tried directly installing the missing package and got

The following packages have unmet dependencies:
xserver-xorg-amdgpu-video-amdgpu : Depends: xorg-video-abi-24 but it is not installable
E: Unable to correct problems, you have held broken packages.

What should I do?

0 Likes
9 Replies
naeturvindur
Journeyman III

P.s. the install is so fresh, I just noticed that 22.04.3 was released days before I installed, and I'm using a driver for 22.04.2.  So I guess I'm just waiting for the next version of the driver to be released.  Is there anything I can do in the mean time?

0 Likes
mike71
Adept I

I have Debian 12.1, and the version installed is 23.0.0 and has a dependance with sorg-video-abi-25 and not 24. I think maybe that version was meant for an older version of Xorg. You should try verrsion 23.



apt-cache show xserver-xorg-video-amdgpu
Package: xserver-xorg-video-amdgpu
Version: 23.0.0-1
Installed-Size: 253
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Architecture: amd64
Provides: xorg-driver-video
Depends: libc6 (>= 2.17), libdrm-amdgpu1 (>= 2.4.73), libgbm1 (>= 8.1~0), libudev1 (>= 183), xorg-video-abi-25, xserver-xorg-core (>= 2:21.1.1)
Suggests: firmware-amd-graphics
Description-en: X.Org X server -- AMDGPU display driver
This package provides the 'amdgpu' driver for the AMD Radeon cards. The
following chip families should be supported: Bonaire, Hawaii, Kaveri, Kabini
Mullins, Iceland, Tonga, Carrizo, Fiji, Stoney.
.
More information about X.Org can be found at:
<URL:http://www.X.org>
.
This package is built from the X.org xf86-video-amdgpu driver module.
Description-md5: e2b193b8ecbf0f4c08a535d8f9541c51
Section: x11
Priority: optional
Filename: pool/main/x/xserver-xorg-video-amdgpu/xserver-xorg-video-amdgpu_23.0.0-1_amd64.deb
Size: 136340
MD5sum: 5a3b53482c41d5ac483bfe55cc6a9957
SHA256: f83acf0117d8545182f9519bd2b6247b51eaa77a36e50f846fba9e1bc80e1c1c

 

0 Likes

As my installation is also new, I assume, I have the same version as  Journeyman III. And it is not >= 23.

 

$ apt-cache show xserver-xorg-video-amdgpu Package: xserver-xorg-video-amdgpu Architecture: amd64 Version: 22.0.0-1ubuntu0.1 Priority: optional Section: x11 Origin: Ubuntu Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org> Bugs: https://bugs.launchpad.net/ubuntu/+filebug Installed-Size: 188 Provides: xorg-driver-video Depends: libc6 (>= 2.17), libdrm-amdgpu1 (>= 2.4.73), libgbm1 (>= 8.1~0), libudev1 (>= 183), xorg-video-abi-25, xserver-xorg-core (>= 2:21.1.1) Suggests: firmware-amd-graphics Filename: pool/main/x/xserver-xorg-video-amdgpu/xserver-xorg-video-amdgpu_22.0.0-1ubuntu0.1_amd64.deb

0 Likes
bnjmnhg
Journeyman III

 Hi  I have the same issue after installing this: https://repo.radeon.com/amdgpu-install/23.10.3/ubuntu/focal/amdgpu-install_5.5.50503-1_all.deb  On my Ubuntu 22.04 with the latest Kernel:  uname -a Linux Ben-PC 6.2.0-26-generic #26~22.04.1-Ubuntu SMP PREEMPT_DYNAMIC Thu Jul 13 16:27:29 UTC 2 x86_64 x86_64 x86_64 GNU/Linux  That's all I've done related with grafic so far. The installation is brand-new.

 

0 Likes

  I found something strange: The Installer tries to pull files from some  20.04 repos. So I modified the repo Adresses of the AMD-Repos in /etc/apt/sources.list.d from "focal" to "jammy". After that the installation got much further, but still ender in a failure:  Amdgpu-install leads to:    Fehler traten auf beim Bearbeiten von:  amdgpu-dkms E: Sub-process /usr/bin/dpkg returned an error code (1)    If I follow the Error-File  (  '/var/crash/amdgpu-dkms) I'll end up here:    Date: Fri Aug 18 14:35:29 2023 DuplicateSignature: dkms:amdgpu-dkms:1:6.0.5.50503-1620033.22.04: /var/lib/dkms/amdgpu/6.0.5-1620033.22.04/build/amd/amdgpu/amdgpu_ fb.c:236:16: error: implicit declaration of function ‘drm_fb_help er_alloc_fbi’; did you mean ‘drm_fb_helper_alloc_info’? [-Werror= implicit-function-declaration] Package: amdgpu-dkms 1:6.0.5.50503-1620033.22.04 PackageVersion: 1:6.0.5.50503-1620033.22.04 SourcePackage: amdgpu-dkms Title: amdgpu-dkms 1:6.0.5.50503-1620033.22.04: amdgpu kernel mod ule failed to build     

 

0 Likes
praveen
Staff

Hi 

Could you share the command(s) you are trying to install  amdgpu driver on ubuntu 22.04.03

0 Likes


I have tried to do several times. But the forum UX is crap. Every time I try something goes wrong with the captcha or the verification fails or something else... Better not talk about totallqy broken formating.

However her is what I have done IN THE END (and what has worked more or less).

Installed the amd-drivers from: https://repo.radeon.com/amdgpu-install/23.10.3/ubuntu/focal/amdgpu-install_5.5.50503-1_all.deb


Modified the repo Adresses of all the AMD-releated-repositories in /etc/apt/sources.list.d from focal to jammy
sudo apt update
sudo update-initramfs
sudo reboot
sudo amdgpu-install --usecase=graphics,opencl --vulkan=amdvlk --opencl=legacy

I'm not 100% sure, what exactly the options of amdgpu-install do, and if the proprietary driver runs as expected. But Steam launches without any problems. l and the overall performance is as expected.

0 Likes
AdonisDuncan
Adept I

It seems like you've managed to install the drivers from the AMD repository successfully by modifying the repository addresses and using the amdgpu-install command with specific options like --usecase=graphics,opencl, --vulkan=amdvlk, and --opencl=legacy. While you're not entirely certain about the options, the important part is that Steam launches without issues and the overall performance meets your expectations.

Well yes and no, we need drivers for video editing, so does your solution works with those (kdenlive, davinci resolve)?

0 Likes